from plugnplai.utils import (
    get_openapi_spec,
    get_openapi_url,
    get_plugin_manifest,
    get_plugins,
    spec_from_url,
    get_category_names,
    parse_llm_response
)
from plugnplai.embeddings import PluginRetriever
from plugnplai.plugins import PluginObject, Plugins, build_request_body, count_tokens
from plugnplai.api.retrieve import retrieve

from importlib import metadata
# use the method from LangChain (Chase, H. (2022). LangChain [Computer software]. https://github.com/hwchase17/langchain) to get the version of the package
try:
    __version__ = metadata.version(__package__)
except metadata.PackageNotFoundError:
    # Case where package metadata is not available.
    __version__ = ""
del metadata  # optional, avoids polluting the results of dir(__package__)

__all__ = [
    "PluginObject",
    "Plugins",
    "PluginRetriever",
    "get_plugins",
    "get_plugin_manifest",
    "get_openapi_url",
    "get_openapi_spec",
    "get_category_names",
    "spec_from_url",
    "parse_llm_response",
    "build_request_body",
    "count_tokens",
    "retrieve"
]